#!/bin/bash

####################
# B Fauve 20/09/2005
# create the directory structure
# about the wdl directory: features and labels for the world model are saved in a separate directory
# because they don't have the same process as other features.
# (it was not nessassary with biosecure protocol but it has been set up for other experiments
####################

NIST05_TEST_DIR='/usr/ee/speech/red_dz1/NIST05/test/data/';
NIST05_TRAIN_DIR='/usr/ee/speech/red_dz1/NIST05/train/data/';
NIST04_SPH_DIR='/usr/ee/speech/vision_dz1/NIST04/';
NIST03_SPH_DIR='/usr/ee/speech/vision_dz1/NIST03/';
echo "****************************************************************"
echo "*** Setup base directory structure for experiment with ALIZE ***"
echo "****************************************************************"
echo "mkdir data/ lbl/ wld/ ..."
mkdir data
mkdir data/sph
mkdir data/sph/2003
mkdir data/sph/2004
mkdir data/sph/2005
mkdir data/prm
mkdir data/prm/2003
mkdir data/prm/2004
mkdir data/prm/2005

mkdir lbl
mkdir lbl/2004
mkdir lbl/2005

mkdir wld
mkdir wld/data
mkdir wld/data/prm
mkdir wld/data/prm/2003
mkdir wld/data/prm/2004
mkdir wld/lbl
mkdir wld/lbl/2003
mkdir wld/lbl/2004

echo "***link to NIST sph files***"
#symbolic copy sphr

#cp -s $NIST05_SPH_DIR*.sph ./data/sph/2005
#Argument list too long.
#/usr/ee/speech/red_dz1/NIST05/test/data/
echo "copying NIST05 data ..."
find $NIST05_TEST_DIR -name "*.A.sph" | xargs -i cp -s {} ./data/sph/2005/  
find $NIST05_TEST_DIR -name "*.B.sph" | xargs -i cp -s {} ./data/sph/2005/   
find $NIST05_TRAIN_DIR -name "*.A.sph" | xargs -i cp -s {} ./data/sph/2005/   
find $NIST05_TRAIN_DIR -name "*.B.sph" | xargs -i cp -s {} ./data/sph/2005/  
echo "copying NIST04 data ..."
#find /usr/ee/speech/vision_dz1/NIST04/ -name "*.sph" | xargs -i cp -s {} ./data/sph/2004/ 
find $NIST04_SPH_DIR -name "*.sph" | xargs -i cp -s {} ./data/sph/2004/ 
echo "copying NIST03 data ..."
#find /usr/ee/speech/vision_dz1/NIST03/ -name "*.sph" | xargs -i cp -s {} ./data/sph/2003/
find $NIST03_SPH_DIR -name "*.sph" | xargs -i cp -s {} ./data/sph/2003/ 

echo "***done***"

